--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -30,14 +30,14 @@
 
 cmake_minimum_required(VERSION 3.22)
 
-project(LibLinphone VERSION 5.3.0 LANGUAGES C CXX)
+project(LibLinphone VERSION ${DEB_VERSION_UPSTREAM} LANGUAGES C CXX)
 
 
 set(LINPHONE_MAJOR_VERSION ${PROJECT_VERSION_MAJOR})
 set(LINPHONE_MINOR_VERSION ${PROJECT_VERSION_MINOR})
 set(LINPHONE_MICRO_VERSION ${PROJECT_VERSION_PATCH})
 set(LINPHONE_VERSION ${PROJECT_VERSION})
-set(LINPHONE_SO_VERSION "10") #incremented for 4.4.0 release.
+set(LINPHONE_SO_VERSION "12") # 12 for 5.2.99-1
 
 file(GLOB LINPHONE_PO_FILES RELATIVE "${CMAKE_CURRENT_LIST_DIR}/po" "${CMAKE_CURRENT_LIST_DIR}/po/*.po")
 string(REGEX REPLACE "([a-zA-Z_]+)\\.po" "\\1" LINPHONE_ALL_LANGS_LIST "${LINPHONE_PO_FILES}")
